Subject: bug#32712: Error running "create extension postgis"

From: Julien Lepiller <[email-masked]>
Date: Wed, 12 Sep 2018 09:11:44 +0200

Hi, this is a known issue. I have sent a patch for that but it wasn't reviewed yet. Ideally I could also patch the postgresql service to allow specifying extensions. I will try to do something about it.

Le 12 septembre 2018 05:07:21 GMT+02:00, Ben Sturmfels <[email-masked]> a écrit :
>Hi Folks,
>
>When I attempt to create a database with PostGIS extensions, I get an
>error "could not open extension control file":
>
>  $ createdb -O ben testdb
>  $ psql testdb --command="create extension postgis"
>ERROR:  could not open extension control file
>"/gnu/store/6238qjlc6cl7wld3gykcfj83ajlsrmjd-postgresql-10.5/share/extension/postgis.control":
>No such file or directory
>
>My GuixSD system configuration includes the PostgreSQL service and the
>PostGIS package, something like this:
>
>  (packages (cons*
>            ...
>            postgis
>            %base-packages))
>
>  (services (cons*
>            ...
>            (postgresql-service)
>            %desktop-services))
>
>If I look in the store, I see "postgis.control" in a number of places,
>but definitely not in the "postgresql-10.5" directory:
>
>  $ find /gnu/store -name postgis.control
>/gnu/store/a9bnyqpxbhskf4vz6p84k4m42li4zqc8-postgis-2.4.4/share/extension/postgis.control
>/gnu/store/8jimyykpydhppbdbp72zr4z7l0z2fblr-profile/share/extension/postgis.control
>
>Regards,
>Ben